Retrieve partner transaction by transaction id
curl --request GET \
--url https://api-staging.cashweb.cash/api/v1/partner/transactions/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-staging.cashweb.cash/api/v1/partner/transactions/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api-staging.cashweb.cash/api/v1/partner/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": "161500.00",
"confirmations": 1,
"confirmed_at": "2026-02-12T12:01:00Z",
"created_at": "2026-02-12T11:55:00Z",
"crypto_amount": "100.00",
"crypto_currency": "usdt",
"deposit_address": "TUr4xexampleaddress",
"deposit_id": "dep_abc123",
"deposit_status": "confirmed",
"expires_at": "2026-02-12T12:00:00Z",
"id": "01917f00-7b4c-7f56-8a2b-15998d58c9f3",
"merchant_id": "mrc_001",
"merchant_reference": "order-4551",
"network": "trc20",
"rate": "1615.00",
"received_at": "2026-02-12T11:58:00Z",
"required_confirmations": 1,
"status": "deposit_confirming",
"terminal_id": "term_01",
"updated_at": "2026-02-12T12:01:00Z"
},
"success": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Transaction not found",
"timestamp": "2026-02-12T12:00:00Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Partner API
Retrieve partner transaction by transaction id
Returns the latest transaction snapshot for the authenticated partner. Use this endpoint for direct status checks after create, cancel, or webhook processing.
GET
/
partner
/
transactions
/
{id}
Retrieve partner transaction by transaction id
Authorizations
Path Parameters
Partner transaction identifier
Response
Transaction retrieved
Standard API response wrapper for all successful responses
Recover transaction using canonical merchant reference
Previous
Cancel a partner transaction safely with idempotent retries
Next
⌘I